Summary: Networking with the isdn subsystem.
Name: isdn4net
Version: 1.4.3
Release: 3mdk
Copyright: GPL
Group: System/Kernel and hardware
Source0: %{name}-%{version}.tar.bz2
Patch0: isdn4net-1.4.3-mdk.patch.bz2
URL: http://www.terminator.net/isdn4net/
Packager: Jesse Kuang <kjx@linux-mandrake.com>
BuildArchitectures: noarch
BuildRoot:/tmp/rpm-%{name}
%description
Provides several scripts to do networking with isdn4linux.
Provides several sample configurations for card and ippp setup.
Provides small configuration and admin utility.
%prep
%setup -q
%patch0 -p1
%install
install/rpm-install
%post
echo -n "Activating isdn4linux card init:"
chkconfig --del isdn4linux
chkconfig --add isdn4linux
echo " done."
cat /usr/doc/%{name}-%{version}/doc/README.rpm
%preun
echo -n "Deactivating isdn4linux card init:"
chkconfig --del isdn4linux
echo " done."
%files
%defattr(-,root,root,0755)
%config/etc/sysconfig/network-scripts/ifup-ippp
%config/etc/sysconfig/network-scripts/ifdown-ippp
%config/etc/sysconfig/network-scripts/ifup-isdn
%config/etc/sysconfig/network-scripts/ifdown-isdn
%config/etc/rc.d/init.d/isdn4linux
/usr/local/bin/isdn
%config(noreplace) /etc/sysconfig/isdn
%config(noreplace) /etc/sysconfig/network-scripts/ifcfg-ippp0
%config(noreplace) /etc/isdn/profile/ippp.default
%config(noreplace) /etc/isdn/profile/isdn.default
%config(noreplace) /etc/isdn/profile/ippp.map
%config(noreplace) /etc/isdn/profile/isdn.map
%config(noreplace) /etc/isdn/profile/link/myisp
%config(noreplace) /etc/isdn/profile/card/mycard
%config(noreplace) /etc/isdn/my_isdnlog.conf
%doc defaults
%doc samples
%doc doc
%doc isdn4net.spec
%doc README
%dir /etc/isdn/profile
%dir /etc/isdn/profile/link
%dir /etc/isdn/profile/card
%dir /etc/isdn/timru
%dir /etc/isdn/budget

%changelog

* Fri Mar 31 2000 Jesse Kuang <kjx@linux-mandrake.com> 1.4.3-3mdk
- Release.

* Sat Feb 26 2000 Jesse Kuang <kjx@linux-mandrake.com>
- build noarch package

* Sat Jan 29 2000 Jesse Kuang <kjx@linux-mandrake.com>
- update to isdn4net-1.4.3, fixes isdn shell script for bash 1.14

* Fri Jan 07 2000 Francis Galiegue <francis@mandrakesoft.com>

- Fixed braindead symlinks
- Fixed YAT (Yet Another Typo (tm)) in /usr/bin/isdn script
- SysV symlinks in specs disagreed with those of chkconfig, fixed


* Wed Nov 10 1999 John Buswell <johnb@mandrakesoft.com>
- Added BuildRoot
- Fixed path and permissions
- Build Release

* Sun Jun 27 1999 Jesse Kuang <kjx@linux.org.cn>
- add support for more mppp, SLAVE for ippp32/ippp33 ...
- Chmouel:
	More mandrake adaptations.
